#pragma once

#include <Game/Core.hpp>
#include <bt/behavior_node.hpp>

namespace bt {
template <typename Context>
class is_logged_in_node : public behavior_node<Context> {
public:
  constexpr is_logged_in_node() noexcept = default;

  node_task tick(Context &ctx) noexcept override {
    if (!Mainscreen::IsLoggedIn())
      co_return task_result::failure;

    co_return task_result::success;
  }
};

} // namespace bt