#pragma once

#include <Game/Core.hpp>
#include <bt/behavior_node.hpp>

namespace bt {
template <typename Context, typename Animation>
class is_animating_node : public behavior_node<Context> {
public:
  Animation anim_id;

  is_animating_node(std::int32_t anim_id) : anim_id(anim_id) {}

  node_task tick(Context &ctx) noexcept override {
    const auto player = Players::GetLocal();
    if (!player)
      co_return task_result::failure;

    if (player.GetAnimationID() != anim_id)
      co_return task_result::failure;

    co_return task_result::success;
  }
};

} // namespace bt